slepc-3.21.1 2024-04-26
Report Typos and Errors

# STGetMatMode

Gets a flag that indicates how the transformed matrices are stored in spectral transformations.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STGetMatMode(ST st,STMatMode *mode)

Not Collective

### Input Parameter

| st | - the spectral transformation context

### Output Parameter

| mode | - the mode flag

### See Also

STSetMatMode(), STMatMode

### Level

intermediate

### Location

src/sys/classes/st/interface/stset.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages